Skip to main content

Execute payment quote

Required scopes:

  • partner.payment-quote.execute
Path Parameters
paymentQuoteId uuid — REQUIRED
Responses
200

OK

Schema — OPTIONAL
paymentId uuid

The payment's ID

state string

Possible values: [PENDING, COMPLETED, FAILED]

Status of the payment execution

result string

Possible values: [PENDING, SUCCESS, FAILURE]

Obsolete, use State instead

completed date-time — OPTIONAL

The timestamp of the payment completion

delivered date-time — OPTIONAL

Obsolete, use Completed instead

conversionRate object — OPTIONAL

The conversion rate details

amount string

Currency amount in decimal format

sourceCurrency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Source currency code

targetCurrency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Target currency code

amount object

The amount that the receiver will receive in sender’s currency

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

totalFee object — OPTIONAL

The total of all fees

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

lightningNetworkFee object — OPTIONAL

The fee required by LN network. Only applicable for LN payments

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

totalAmount object

The amount that the sender will spend

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

reward object — OPTIONAL

The reward that the sender might receive, if applicable

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

lightning object — OPTIONAL

Details about the payment if it was made through the Lightning Network

networkFee object — OPTIONAL

The fee required by LN network, if any

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

preImage string — OPTIONAL

The pre-image of the payment, if available

onchain object — OPTIONAL

Details about the payment if it was made on chain

txnId string — OPTIONAL

The COMPLETED onchain payment's transaction ID. Can be used to find the payment on the blockchain explorer.

202

Accepted

Schema — OPTIONAL
paymentId uuid

The payment's ID

state string

Possible values: [PENDING, COMPLETED, FAILED]

Status of the payment execution

result string

Possible values: [PENDING, SUCCESS, FAILURE]

Obsolete, use State instead

completed date-time — OPTIONAL

The timestamp of the payment completion

delivered date-time — OPTIONAL

Obsolete, use Completed instead

conversionRate object — OPTIONAL

The conversion rate details

amount string

Currency amount in decimal format

sourceCurrency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Source currency code

targetCurrency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Target currency code

amount object

The amount that the receiver will receive in sender’s currency

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

totalFee object — OPTIONAL

The total of all fees

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

lightningNetworkFee object — OPTIONAL

The fee required by LN network. Only applicable for LN payments

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

totalAmount object

The amount that the sender will spend

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

reward object — OPTIONAL

The reward that the sender might receive, if applicable

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

lightning object — OPTIONAL

Details about the payment if it was made through the Lightning Network

networkFee object — OPTIONAL

The fee required by LN network, if any

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

preImage string — OPTIONAL

The pre-image of the payment, if available

onchain object — OPTIONAL

Details about the payment if it was made on chain

txnId string — OPTIONAL

The COMPLETED onchain payment's transaction ID. Can be used to find the payment on the blockchain explorer.

401

Unauthorized

403

Forbidden